<template>
  <q-list bordered class="rounded-borders">
    <q-item>
      <q-item-section caption>
        Menu Admin
      </q-item-section>
    </q-item>
    <q-list>
      <q-item clickable v-ripple to="/user">
        <q-item-section avatar>
          <q-icon name="account_circle" />
        </q-item-section>

        <q-item-section>User Manager</q-item-section>
      </q-item>
    </q-list>
    <q-expansion-item
        group="menu"
        expand-separator
        icon="drafts"
        label="Data Referensi"
        :content-inset-level="1"
    >
      <q-list>
        <q-item clickable v-ripple tag="a" to="/kategori">
          <q-item-section>Referensi Kategori</q-item-section>
        </q-item>
        <q-item clickable v-ripple tag="a" to="/badan-usaha">
          <q-item-section>Referensi Badan Usaha</q-item-section>
        </q-item>
        <q-item clickable v-ripple tag="a" to="/jenis-produk">
          <q-item-section>Referensi Jenis Produk</q-item-section>
        </q-item>
        <q-item clickable v-ripple tag="a" to="/level">
          <q-item-section>Referensi Level User</q-item-section>
        </q-item>
      </q-list>
    </q-expansion-item>

    <q-expansion-item
        group="menu"
        expand-separator
        icon="settings"
        label="Halaman Depan"
        :content-inset-level="1"
    >
      <q-list>
        <q-item clickable v-ripple tag="a" to="/banner">
          <q-item-section>Banner</q-item-section>
        </q-item>
        <q-item clickable v-ripple tag="a" to="/iklan">
          <q-item-section>Iklan</q-item-section>
        </q-item>
      </q-list>
    </q-expansion-item>
    <q-list>
      <q-item clickable v-ripple tag="a" to="/produk/diperiksa">
        <q-item-section avatar>
          <q-icon name="shopping_cart" />
        </q-item-section>
        <q-item-section>Produk Diperiksa</q-item-section>
      </q-item>
    </q-list>

  </q-list>
</template>

<script>
export default {
  name: 'MenuSamping',

  data () {
    return {
      dense: null
    }
  },

  computed: {
    user: {
      get() {
        return this.$store.state.user.user;
      },
      set(value) {
        return this.$store.commit("user/updateUserDetail", value);
      }
    }
  }
}
</script>
